# Interface RegularShape

#### Hierarchy

- RegularShape

- Defined in src/options.js:54

#####
Index

### Properties

angle
displacement
fill
points
radius
radius1
radius2
rotateWithView
rotation
stroke

## Properties

### angle

angle: number

Shape's angle in radians. A value of 0 will have one of the shape's point facing up.

- Defined in src/options.js:61

### displacement

displacement: number[]

Displacement of the shape

- Defined in src/options.js:62

### fill

fill: Fill

Fill style.

- Defined in src/options.js:55

### points

points: number

Number of points for stars and regular polygons. In case of a polygon, the number of points is the number of sides.

- Defined in src/options.js:56

### radius

radius: number

Radius of a regular polygon.

- Defined in src/options.js:58

### radius1

radius1: number

Outer radius of a star.

- Defined in src/options.js:59

### radius2

radius2: number

Inner radius of a star.

- Defined in src/options.js:60

### rotateWithView

rotateWithView: boolean

Whether to rotate the shape with the view.

- Defined in src/options.js:65

### rotation

rotation: number

Rotation in radians (positive rotation clockwise).

- Defined in src/options.js:64

### stroke

stroke: Stroke

Stroke style.

- Defined in src/options.js:63

Generated using TypeDoc